# Class yii\db\oci\conditions\InConditionBuilder

Inheritance | yii\db\oci\conditions\InConditionBuilder » yii\db\conditions\InConditionBuilder
Implements | yii\db\ExpressionBuilderInterface
Uses Traits | yii\db\ExpressionBuilderTrait
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/db/oci/conditions/InConditionBuilder.php

## Protected Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$queryBuilder | yii\db\QueryBuilder |  | yii\db\ExpressionBuilderTrait

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__construct() | ExpressionBuilderTrait constructor. | yii\db\ExpressionBuilderTrait
build() | Method builds the raw SQL from the $expression that will not be additionally escaped or quoted. | yii\db\oci\conditions\InConditionBuilder

## Protected Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
buildCompositeInCondition() | Builds SQL for IN condition. | yii\db\conditions\InConditionBuilder
buildSubqueryInCondition() | Builds SQL for IN condition. | yii\db\conditions\InConditionBuilder
buildValues() | Builds $values to be used in yii\db\conditions\InCondition | yii\db\conditions\InConditionBuilder
getNullCondition() | Builds is null/is not null condition for column based on operator | yii\db\conditions\InConditionBuilder
getRawValuesFromTraversableObject() |  | yii\db\conditions\InConditionBuilder
splitCondition() | Oracle DBMS does not support more than 1000 parameters in `IN` condition. | yii\db\oci\conditions\InConditionBuilder

## Method Details

build() public method

Method builds the raw SQL from the $expression that will not be additionally escaped or quoted.

public string build ( yii\db\ExpressionInterface $expression, array &$params = [] )
$expression | yii\db\ExpressionInterface|yii\db\conditions\InCondition | The expression to be built.
$params | array | The binding parameters.
return | string | The raw SQL that will not be additionally escaped or quoted.

splitCondition() protected method

Oracle DBMS does not support more than 1000 parameters in `IN` condition.

This method splits long `IN` condition into series of smaller ones.

protected null|string splitCondition ( yii\db\conditions\InCondition $condition, &$params )
$condition | yii\db\ExpressionInterface|yii\db\conditions\InCondition | The expression to be built.
$params | array | The binding parameters.
return | null|string | Null when split is not required. Otherwise - built SQL condition.